<?php
require_once 'core/system.php';
echo only_reg();
$header = 'VIP';
require_once 'core/head.php';
if($_GET[vip]==1 or $_GET[vip]==2 or $_GET[vip]==3){
	if($_GET[vip]==1){$m=100;$time=86400;}
	elseif($_GET[vip]==2){$m=500;$time=604800;}
	elseif($_GET[vip]==3){$m=2500;$time=2592000;}
	else{$m=999999999999999999999;}
	if($user[gold]<$m){
		header('Location: ?');
		$_SESSION['light'] = "<span class='dred' style='font-weight:bold;'> Нехватает золота! </span>";
		exit();
	}else{
		if($vvip==0){
		mysql_query("INSERT INTO `vip` set `time` = '".(time()+$time)."',`exp` = '100',`expclan` = '50',`serebro` = '25', `user` = '".$user[id]."'");
		}else{
		mysql_query("update `vip` set `time` = '".($vip[time]+$time)."' where `user` = '".$user[id]."' LIMIT 1");
		}
		mysql_query("update `user` set `gold` = '".($user[gold]-$m)."' where `id` = '".$user[id]."' LIMIT 1");
	}
header('Location: ?');
$_SESSION['light'] = "<span class='dgreen' style='font-weight:bold;'> Куплено! </span>";
exit();
}
echo'<div class="player">
	<a href="?vip=1">VIP 1д.</a> 100 золота<br/>
	<a href="?vip=2">VIP 7д.</a> 500 золота<br/>
	<a href="?vip=3">VIP 30д.</a> 2500 золота<br/>
	</div>
	';
	/*-Цветной Ник-*/
if (!empty($_POST[vip])) // если есть данные то пишем их
{

$req222 = mysql_query("SELECT * FROM `color_akk` WHERE `usr` = '$user[nick]' LIMIT 1"); // защита от нескольких акк
$avto=mysql_num_rows($req222);
if($avto==1){echo'<font color=red><p>У Вас уже есть Цветной ник!</p></font>';}else{
$_POST[vip]=400;
		
$nalmaz = $user[gold]-$_POST[vip];		

if($nalmaz<0){
echo'<font color=red><p>Недостаточно Золота!</p></font>';
}else{


$times=time()+2592000;
mysql_query("INSERT INTO
        `color_akk` SET
        `usr` = '$user[nick]',
        `color` = '$_POST[vip]',
        `time` = '$times'");

mysql_query("UPDATE `user` SET
         `gold` = '$nalmaz'
          WHERE id = '$user[id]'");
		
		
echo'<font color=#FF6A00><b><p>Цветной ник активирован!</p></b></font>';

}
}
}

echo "<p><font color=#007F46>Добро пожаловать $user[nick]! 
У тебя есть возможность выделятся среди других игроков, заказав себе цветной ник за Золото...</font></p>";

$req22 = mysql_query("SELECT * FROM `color_akk` WHERE `usr` = '$user[nick]' LIMIT 1");
$avto=mysql_num_rows($req22);
if($avto==1){
$vip = mysql_fetch_array($req22);
echo "<hr/><p> <font color=#008282>Молодец! <b>Теперь твой ник такого цвета - <font color=#$vip[color]>$user[nick]</font>!</b></p>";
$vip[time]=$vip[time]-time();

if($vip[time]<60)
{
if ($vip[time]<=0){$vip[time]=0;}
echo "Осталось: $vip[time] сек.";}

if ($vip[time]>60 && $vip[time]<86400){$vip[time]=round($vip[time]/3600);
echo "Осталось: $vip[time] мин.";}

if ($vip[time]>=86400){$vip[time]=round($vip[time]/86400);
echo "Осталось: $vip[time] дн.";}
echo "</font><hr/>";
}else{

echo "<hr/><b><font color=grey>Список доступных цветов: (Ник/код цвета)</font><br/>";
echo "<font color=#007F0E>$user[nick] - 007F0E</font><br/>";
echo "<font color=#6D00A0>$user[nick] - 6D00A0</font><br/>";
echo "<font color=#FF006E>$user[nick] - FF006E</font><br/>";
echo "<font color=#00FF90>$user[nick] - 00FF90</font><br/>";
echo "<font color=#00BFFF>$user[nick] - 00BFFF</font><br/>";
echo "<font color=#FFFF00>$user[nick] - FFFF00</font><br/>";
echo "<font color=#FF00FF>$user[nick] - FF00FF</font><br/>";

echo '<form action="vip.php?mod=color_akk" method="post">';
echo "<hr/><font color=grey>Цвет / Стоимость:</b></font><br/>
<select name=\"vip\">
<option value=\"007F0E\">007F0E / 400 Золотых</option>
<option value=\"6D00A0\">6D00A0 / 400 Золотых</option>
<option value=\"FF006E\">FF006E / 400 Золотых </option>
<option value=\"00FF90\">00FF90 / 400 Золотых</option>
<option value=\"00BFFF\">00BFFF / 400 Золотых </option>
<option value=\"FFFF00\">FFFF00 / 400 Золотых</option>
<option value=\"FF00FF\">FF00FF / 400 Золотых</option>
</select>";
echo '<br/><input class="button" type="submit" value="Заказать" /></form>';

echo "<hr/>";
echo "<font color=#C64F00>* Цветные ники покупаются на срок в 30 дней.</font>";
echo "<hr/>";}

include_once 'core/foot.php';
?>
</div>
</body>
</html>